Can Quasar be used in a commercial ("closed source") app?



  • Can Quasar be used as part of a commercial closed source app? (by closed source, I simply mean it isn’t an open source license, obviously the minified javascript is always out in the open, albeit obfuscated). Initially, I thought the answer was definitely “yes” given the MIT license, but after creating a starter project I see a HUGE number of Node.js dependencies each with its own license (I inspected some and didn’t see GPL, but didn’t look thru all of them). Will all those be included in my final project ? Or just used to build? Are all those compatible with MIT license (or BSD/Apache, not GPL,etc)? I’m new to frontend development, so sorry if this is an obvious question. Thanks!



  • i would say yes you can!



  • Here is the licence (MIT)



  • @benoitranque I realize the license for Quasar itself is MIT (which is great), but my question is regarding all the many Node.js dependencies, whether they are included after build, and whether they are MIT license compatible. Apparently there are 739 dependencies in my “node_modules” folder - not a typo.



  • I think I got my answer, so posting this in case anybody else wants to know. I quickly did a ‘find’ on all the LICENSE file in the node_modules folder and found 446, so not every project has one, but many do. However, after ‘grepping’ all these licenses I was able to find the words “Apache” and “MIT” hundreds of times. However, the words “GNU”, “General”, and “GPL” were nowhere to be found. :-)



  • @apisw - are you looking at a dev setup for the dependencies or a built and finished app? As far as I know, Razvan has kept Quasar dependencies very low for a running app. At least that was a goal of his. For instance FastclickJS and MomentJS dependencies were removed in v14. If you look at the play app, there are only these dependencies:

      "dependencies": {
        "babel-runtime": "^6.0.0",
        "es6-promise": "^4.1.1",
        "quasar-extras": "0.0.8",
        "quasar-framework": "0.14.7",
        "vue": "^2.5.2",
        "vue-router": "^3.0.1"
    },
    

    https://github.com/quasarframework/quasar-play/blob/dev/package.json

    Scott



  • @s-molinari Thx - I’m pretty new to well…all frontend development. :-) Right now I’m just trying to determine feasibility and looks like it is workable. I had also stumbled onto the “npm ls” command that was able to show me that most of the dependencies were “dependencies of dependencies” and not directly used. Most of the ones directly used were reasonable. Thx for the clarification.


Log in to reply
 

Looks like your connection to Quasar Framework was lost, please wait while we try to reconnect.